import 'package:flutter/material.dart';
import 'package:test_sa/views/app_style/sizing.dart';

import 'app_loading.dart';

class ALazyLoading extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: 36 * AppStyle.getScaleFactor(context),
        width: 36 * AppStyle.getScaleFactor(context),
        padding: EdgeInsets.all(8),
        decoration: BoxDecoration(color: Colors.white, shape: BoxShape.circle, boxShadow: [AppStyle.boxShadow]),
        child: ALoading(),
      ),
    );
  }
}
